org.apache.maven.shared.jar.identification

## Class JarIdentification

- java.lang.Object
- - org.apache.maven.shared.jar.identification.JarIdentification

    public class JarIdentification
    extends Object

Gathered Maven information about the JAR file. Stores both assumed/validated values and potential values.

See Also:
  `JarIdentificationAnalysis.analyze(org.apache.maven.shared.jar.JarAnalyzer)`

### Constructor Summary

Constructors
Constructor and Description
`JarIdentification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAndSetArtifactId(String artifactId)` Add a validated artifact ID.
`void` `addAndSetGroupId(String groupId)` Add a validated group ID.
`void` `addAndSetName(String name)` Add a validated artifact name.
`void` `addAndSetVendor(String name)` Add a validated vendor name.
`void` `addAndSetVersion(String version)` Add a validated version.
`void` `addArtifactId(String artifactId)` Add a potential artifact ID.
`void` `addGroupId(String groupId)` Add a potential group ID.
`void` `addName(String name)` Add a potential artifact name.
`void` `addVendor(String name)` Add a potential vendor name.
`void` `addVersion(String version)` Add a potential version.
`String` `getArtifactId()`
`String` `getGroupId()`
`String` `getName()`
`List` `getPotentialArtifactIds()`
`List` `getPotentialGroupIds()`
`List` `getPotentialNames()`
`List` `getPotentialVendors()`
`List` `getPotentialVersions()`
`String` `getVendor()`
`String` `getVersion()`
`void` `setArtifactId(String artifactId)`
`void` `setGroupId(String groupId)`
`void` `setName(String name)`
`void` `setVendor(String vendor)`
`void` `setVersion(String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarIdentification

    public JarIdentification()

### Method Detail

#### addAndSetGroupId

    public void addAndSetGroupId(String groupId)

Add a validated group ID.

Parameters:
  `groupId` - the group ID discovered

#### addGroupId

    public void addGroupId(String groupId)

Add a potential group ID.

Parameters:
  `groupId` - the group ID discovered

#### addAndSetArtifactId

    public void addAndSetArtifactId(String artifactId)

Add a validated artifact ID.

Parameters:
  `artifactId` - the artifact ID discovered

#### addArtifactId

    public void addArtifactId(String artifactId)

Add a potential artifact ID.

Parameters:
  `artifactId` - the artifact ID discovered

#### addAndSetVersion

    public void addAndSetVersion(String version)

Add a validated version.

Parameters:
  `version` - the version discovered

#### addVersion

    public void addVersion(String version)

Add a potential version.

Parameters:
  `version` - the version discovered

#### addAndSetVendor

    public void addAndSetVendor(String name)

Add a validated vendor name.

Parameters:
  `name` - the vendor name discovered

#### addVendor

    public void addVendor(String name)

Add a potential vendor name.

Parameters:
  `name` - the vendor name discovered

#### addAndSetName

    public void addAndSetName(String name)

Add a validated artifact name.

Parameters:
  `name` - the artifact name discovered

#### addName

    public void addName(String name)

Add a potential artifact name.

Parameters:
  `name` - the artifact name discovered

#### getArtifactId

    public String getArtifactId()

#### setArtifactId

    public void setArtifactId(String artifactId)

#### getGroupId

    public String getGroupId()

#### setGroupId

    public void setGroupId(String groupId)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getVendor

    public String getVendor()

#### setVendor

    public void setVendor(String vendor)

#### getVersion

    public String getVersion()

#### setVersion

    public void setVersion(String version)

#### getPotentialVersions

    public List getPotentialVersions()

#### getPotentialNames

    public List getPotentialNames()

#### getPotentialGroupIds

    public List getPotentialGroupIds()

#### getPotentialArtifactIds

    public List getPotentialArtifactIds()

#### getPotentialVendors

    public List getPotentialVendors()